Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class BackupService.RestoreActivity

    java.lang.Object
      org.modeshape.jcr.BackupService.Activity
          org.modeshape.jcr.BackupService.RestoreActivity

Enclosing class:
  BackupService

    @NotThreadSafe
    public static final class BackupService.RestoreActivity

extends BackupService.Activity

The `BackupService.Activity` subclass that performs content restore operations.

Field Summary

Fields inherited from class org.modeshape.jcr.BackupService.Activity
`backupDirectory, binaryDirectory, binaryStore, changeDirectory, documentStore, problems, repositoryCache`

Constructor Summary
`protected` | `BackupService.RestoreActivity(File backupDirectory, SchematicDb documentStore, BinaryStore binaryStore, RepositoryCache repositoryCache)`

Method Summary
`protected BinaryKey` | `binaryKeyFor(File binaryFile)`
`Problems` | `execute()` Execute the activity, using the repository state as it currently exists.
`void` | `removeExistingBinaryFiles()`
`void` | `removeExistingDocuments()`
`void` | `restoreBinaryFile(File binaryFile)`
`void` | `restoreBinaryFiles()`
`protected void` | `restoreDocuments(File directory)`

Methods inherited from class org.modeshape.jcr.BackupService.Activity
`backupLocation, repositoryName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BackupService.RestoreActivity

    protected BackupService.RestoreActivity(File backupDirectory,
                                            SchematicDb documentStore,
                                            BinaryStore binaryStore,
                                            RepositoryCache repositoryCache)

Method Detail

### execute

    public Problems execute()

  Description copied from class: `BackupService.Activity`
  Execute the activity, using the repository state as it currently exists.

  Specified by:
    `execute` in class `BackupService.Activity`
  Returns:
    the problems describing any issues or exceptions that occur during the activity's execution; never null

### removeExistingBinaryFiles

    public void removeExistingBinaryFiles()

### removeExistingDocuments

    public void removeExistingDocuments()

### restoreBinaryFiles

    public void restoreBinaryFiles()

### restoreBinaryFile

    public void restoreBinaryFile(File binaryFile)

### binaryKeyFor

    protected BinaryKey binaryKeyFor(File binaryFile)

### restoreDocuments

    protected void restoreDocuments(File directory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.